# frozen_string_literal: true

module CSVPP
  # Add core extensions here as refinements. Only load them when necessary, so
  # that we don't monkeypatch applications that load CSV++.
  #
  # @example Loading the core extensions to the current lexical scope
  #
  #   module MyScope
  #     using CSVPP::CoreExtensions
  #
  #     # Extensions exist here
  #
  #   end
  #
  #   # Extensions no longer exist here
  #
  module CoreExtensions
    refine String do
      def colorize(color_code)
        "\e[#{color_code}m#{self}\e[0m"
      end

      def green
        colorize 32
      end

      def blue
        colorize 34
      end

      def pink
        colorize 35
      end

      def yellow
        colorize 33
      end
    end
  end
end
